public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher (jlec)" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] gentoo-x86 commit in dev-tcltk/tdom: ChangeLog tdom-0.8.2.ebuild
Date: Sat, 15 Jan 2011 12:47:40 +0000 (UTC)	[thread overview]
Message-ID: <20110115124741.041E620057@flycatcher.gentoo.org> (raw)

jlec        11/01/15 12:47:40

  Modified:             ChangeLog tdom-0.8.2.ebuild
  Log:
  Assigned RDEPEND explicitely, EAPI=3 some QA on ebuild style
  
  (Portage version: 2.2.0_alpha15/cvs/Linux x86_64)

Revision  Changes    Path
1.6                  dev-tcltk/tdom/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-tcltk/tdom/ChangeLog?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-tcltk/tdom/ChangeLog?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-tcltk/tdom/ChangeLog?r1=1.5&r2=1.6

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-tcltk/tdom/ChangeLog,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- ChangeLog	29 Mar 2010 20:09:59 -0000	1.5
+++ ChangeLog	15 Jan 2011 12:47:40 -0000	1.6
@@ -1,6 +1,9 @@
 # ChangeLog for dev-tcltk/tdom
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tdom/ChangeLog,v 1.5 2010/03/29 20:09:59 jlec Exp $
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tdom/ChangeLog,v 1.6 2011/01/15 12:47:40 jlec Exp $
+
+  15 Jan 2011; Justin Lecher <jlec@gentoo.org> tdom-0.8.2.ebuild:
+  Assigned RDEPEND explicitely, EAPI=3 some QA on ebuild style
 
   29 Mar 2010; Justin Lecher <jlec@gentoo.org> tdom-0.8.2.ebuild:
   Keyworded for ~x86-linux ~amd64-linux, tested by me



1.3                  dev-tcltk/tdom/tdom-0.8.2.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-tcltk/tdom/tdom-0.8.2.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-tcltk/tdom/tdom-0.8.2.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-tcltk/tdom/tdom-0.8.2.ebuild?r1=1.2&r2=1.3

Index: tdom-0.8.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-tcltk/tdom/tdom-0.8.2.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- tdom-0.8.2.ebuild	29 Mar 2010 20:09:59 -0000	1.2
+++ tdom-0.8.2.ebuild	15 Jan 2011 12:47:40 -0000	1.3
@@ -1,10 +1,13 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tdom/tdom-0.8.2.ebuild,v 1.2 2010/03/29 20:09:59 jlec Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-tcltk/tdom/tdom-0.8.2.ebuild,v 1.3 2011/01/15 12:47:40 jlec Exp $
+
+EAPI="3"
 
 inherit autotools eutils
 
 MY_P="tDOM-${PV}"
+
 DESCRIPTION="A XML/DOM/XPath/XSLT Implementation for Tcl"
 HOMEPAGE="http://www.tdom.org/"
 SRC_URI="http://www.tdom.org/files/${MY_P}.tgz"
@@ -14,43 +17,52 @@
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
 IUSE="threads"
 
-DEPEND=">=dev-lang/tcl-8.4.3
-	>=dev-libs/expat-2.0.1"
+DEPEND="
+	dev-lang/tcl
+	dev-libs/expat"
+RDEPEND="${DEPEND}"
 
 S="${WORKDIR}/${MY_P}"
 
-src_unpack() {
-	unpack ${A}
-
-	cd "${S}"
-	#sed -i -e "s/relid'/relid/" configure* tclconfig/tcl.m4 \
-	#	extensions/tnc/configure extensions/example/{configure,tcl.m4} || die
-	epatch "${FILESDIR}/${P}.patch"
-	epatch "${FILESDIR}/${P}-expat.patch"
-	epatch "${FILESDIR}/${P}-tnc.patch"
+src_prepare() {
+	epatch \
+		"${FILESDIR}/${P}.patch" \
+		"${FILESDIR}/${P}-expat.patch" \
+		"${FILESDIR}/${P}-tnc.patch"
 	eautoreconf
 }
 
-src_compile() {
+src_configure() {
 	local myconf=""
 
-	myconf="${myconf} $(use_enable threads)
+	myconf="${myconf}
+		$(use_enable threads)
 		--enable-shared
 		--disable-tdomalloc
 		--with-expat"
 
 	cd "${S}"/unix
-	ECONF_SOURCE=".." econf ${myconf} || die "failed to configure"
+	ECONF_SOURCE=".." econf ${myconf}
+
+	# compile tdomhtml
+	cd "${S}"/extensions/tdomhtml
+	econf
+
+	# compile tnc
+	cd "${S}"/extensions/tnc
+	econf ${myconf}
+}
+
+src_compile() {
+	cd "${S}"/unix
 	emake || die "failed to compile tdom"
 
 	# compile tdomhtml
 	cd "${S}"/extensions/tdomhtml
-	econf || die "fail to configure tdomhtml"
 	emake || die "fail to compile tdomhtml"
 
 	# compile tnc
 	cd "${S}"/extensions/tnc
-	econf ${myconf} || die "failed to configure tnc"
 	emake || die "failed to compile tnc"
 }
 
@@ -65,5 +77,5 @@
 	emake DESTDIR="${D}" install || die
 
 	cd "${S}"
-	dodoc CHANGES ChangeLog README*
+	dodoc CHANGES ChangeLog README* || die
 }






             reply	other threads:[~2011-01-15 12:47 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-01-15 12:47 Justin Lecher (jlec) [this message]
  -- strict thread matches above, loose matches on Subject: below --
2012-01-15 16:55 [gentoo-commits] gentoo-x86 commit in dev-tcltk/tdom: ChangeLog tdom-0.8.2.ebuild Justin Lecher (jlec)
2011-01-24 13:12 Christian Faulhammer (fauli)
2011-01-18 14:47 Markos Chandras (hwoarang)
2011-01-16 10:47 Kacper Kowalik (xarthisius)
2011-01-15 15:17 Justin Lecher (jlec)
2010-03-29 20:09 Justin Lecher (jlec)

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20110115124741.041E620057@flycatcher.gentoo.org \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox